using Nirvana.Common;

namespace YBDevice.Entity
{
    /// <summary>
    /// 标准类型,1-bmi,2-身高,3-体重,4-头围
    /// </summary>
    public enum LevelType
    {
        /// <summary>
        /// BMI
        /// </summary>
        [EnumTitle("BMI")]
        BMI = 1,
        /// <summary>
        /// 身高
        /// </summary>
        [EnumTitle("身高")]
        Height = 2,
        /// <summary>
        /// 体重
        /// </summary>
        [EnumTitle("体重")]
        Weight = 3,
        /// <summary>
        /// 头围
        /// </summary>
        [EnumTitle("头围")]
        Head = 4
    }
    /// <summary>
    /// 处方类型
    /// </summary>
    public enum PrescriptionType
    {
        /// <summary>
        /// 身高标准
        /// </summary>
        [EnumTitle("身高标准")]
        Height = 1,
        /// <summary>
        /// BMI标准
        /// </summary>
        [EnumTitle("BMI标准")]
        BMI = 2,
        /// <summary>
        /// 体重标准
        /// </summary>
        [EnumTitle("体重标准")]
        Weight = 3
    }

    /// <summary>
    /// 处方建议类型
    /// </summary>
    public enum PrescriptionAdviceType
    {
        /// <summary>
        /// 运动
        /// </summary>
        [EnumTitle("运动")]
        Sport = 1,
        /// <summary>
        /// 睡眠
        /// </summary>
        [EnumTitle("睡眠")]
        Sleep = 2,
        /// <summary>
        /// 情绪
        /// </summary>
        [EnumTitle("情绪")]
        Mood = 3
    }
}
